---
title: InformationModelExtensions
---

# <a id="TecnoPack_InformationModelExtensions"></a> Class InformationModelExtensions

Namespace: [TecnoPack](TecnoPack.md)  
Assembly: CO0002\_Templ\_FlowpackHMI\_V00\_9\_3.dll  

Contiene metodi di estensione per la gestione del modello informativo OPC UA all'interno del progetto FTOptix.

```csharp
public static class InformationModelExtensions
```

#### Inheritance

[object](https://learn.microsoft.com/dotnet/api/system.object) ← 
[InformationModelExtensions](TecnoPack.InformationModelExtensions.md)

#### Inherited Members

[object.GetType\(\)](https://learn.microsoft.com/dotnet/api/system.object.gettype), 
[object.MemberwiseClone\(\)](https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone), 
[object.ToString\(\)](https://learn.microsoft.com/dotnet/api/system.object.tostring), 
[object.Equals\(object?\)](https://learn.microsoft.com/dotnet/api/system.object.equals\#system\-object\-equals\(system\-object\)), 
[object.Equals\(object?, object?\)](https://learn.microsoft.com/dotnet/api/system.object.equals\#system\-object\-equals\(system\-object\-system\-object\)), 
[object.ReferenceEquals\(object?, object?\)](https://learn.microsoft.com/dotnet/api/system.object.referenceequals), 
[object.GetHashCode\(\)](https://learn.microsoft.com/dotnet/api/system.object.gethashcode)

## Remarks

Questa classe fornisce utility per la creazione di dizionari di localizzazione, accesso ai namespace e generazione di riferimenti localizzati.
È definita come <code>partial</code> per consentire estensioni modulari in altri file.

## Methods

### <a id="TecnoPack_InformationModelExtensions_CreateDictionary_System_String_"></a> CreateDictionary\(string\)

Crea una variabile UA che funge da dizionario di localizzazione, con intestazione precompilata.

```csharp
public static IUAVariable CreateDictionary(string dictionaryName)
```

#### Parameters

`dictionaryName` [string](https://learn.microsoft.com/dotnet/api/system.string)

Nome della variabile che rappresenterà il dizionario nel modello. Questo nome sarà utilizzato anche in OPC UA.

#### Returns

 IUAVariable

Una variabile UA (<code>IUAVariable</code>) con tipo <code>LocalizationDictionary</code>, inizializzata con una riga contenente l'intestazione:
la prima colonna è "Key", le successive sono i codici delle lingue configurate nel progetto.

#### Remarks

Il dizionario è pronto per essere popolato con chiavi di traduzione e valori per ciascuna lingua.

### <a id="TecnoPack_InformationModelExtensions_GetDefaultNamespaceIndex_UAManagedCore_IContext_"></a> GetDefaultNamespaceIndex\(IContext\)

Restituisce l'indice del namespace predefinito per un determinato contesto.

```csharp
public static int GetDefaultNamespaceIndex(IContext context)
```

#### Parameters

`context` IContext

Il contesto corrente da cui ottenere l'indice del namespace.

#### Returns

 [int](https://learn.microsoft.com/dotnet/api/system.int32)

L'indice del namespace predefinito. Se non è valido, restituisce quello del progetto corrente.

### <a id="TecnoPack_InformationModelExtensions_GetLocalizedTextFromKey_System_String_"></a> GetLocalizedTextFromKey\(string\)

Restituisce un oggetto <code>LocalizedText</code> a partire da una chiave di traduzione.

```csharp
public static LocalizedText GetLocalizedTextFromKey(string key)
```

#### Parameters

`key` [string](https://learn.microsoft.com/dotnet/api/system.string)

La chiave della traduzione da cercare nel dizionario di localizzazione.

#### Returns

 LocalizedText

Un oggetto <code>LocalizedText</code> che punta alla chiave specificata nel namespace del progetto corrente.

#### Remarks

Questo metodo non esegue il lookup della traduzione, ma crea un riferimento che può essere utilizzato nelle proprietà localizzabili.

